{% extends 'base.html' %}


{% block content %}
    <div>
        <h1>My Projects</h1>
        <p><a href="{% url 'create_project' %}">Create a new project</a></p>
        {% if not list_project %}
            <p>You are not assigned to any projects</p>
        {% else %}
            <table>
                <thead>
                    <th>Name</th>
                    <th>Number of tasks</th>
                </thead>
                <tbody>
                    {% for list in list_project %}
                        <tr>
                            <td>
                                <a href="{% url 'show_project' list.id %}">
                                    {{ list.name }}
                                </a>
                            </td>
                            <td>{{ list.tasks.all|length }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% endif %}
    </div>
{% endblock content %}